View Issue Details

IDProjectCategoryView StatusLast Update
0004840ScribusStory Editor / Text Framespublic2006-12-17 23:31
Reporterjo-hannes Assigned Toavox  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.4cvs 
Target VersionFixed in Version1.3.4cvs 
Summary0004840: Story Editor: crash after pressing ctrl+c with no text selected
Description.
TagsNo tags attached.
Patch

Relationships

child of 0003157 acknowledged Metabug: Cursor placement fixes 

Activities

jo-hannes

2006-12-16 17:44

developer   ~0013961

Program received signal SIGABRT, Aborted.
[Switching to Thread -1208297776 (LWP 5273)]
0x00a18402 in __kernel_vsyscall ()
(gdb) bt
#0 0x00a18402 in __kernel_vsyscall ()
0000001 0x4dbdfd40 in raise () from /lib/libc.so.6
0000002 0x4dbe1591 in abort () from /lib/libc.so.6
0000003 0x4dbd938b in __assert_fail () from /lib/libc.so.6
0000004 0x0897d437 in StoryText::select (this=0xad0be94, pos=-1, len=0, on=true)
    at /home/hannes/CVS/Scribus/scribus/text/storytext.cpp:837
0000005 0x0881ec9f in SEditor::copyStyledText (this=0xad0bd70)
    at /home/hannes/CVS/Scribus/scribus/story.cpp:426
0000006 0x08830a21 in SEditor::keyPressEvent (this=0xad0bd70, k=0xbfdebf08)
    at /home/hannes/CVS/Scribus/scribus/story.cpp:256
0000007 0x41e4803b in QWidget::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
0000008 0x41f802e8 in QTextEdit::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
0000009 0x41da1e6b in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
0000010 0x41da378d in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
0000011 0x41d375aa in QETWidget::translateKeyEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
0000012 0x41d38515 in QApplication::x11ProcessEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
0000013 0x41d4a14b in QEventLoop::processEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
0000014 0x41dbb3f0 in QEventLoop::enterLoop ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
0000015 0x41dbb2a6 in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
0000016 0x41da197f in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
0000017 0x083f91df in mainApp (argc=1, argv=0xbfdec594)
    at /home/hannes/CVS/Scribus/scribus/main_nix.cpp:76
0000018 0x083f9246 in main (argc=Cannot access memory at address 0x1499
)
    at /home/hannes/CVS/Scribus/scribus/main_nix.cpp:52

avox

2006-12-16 18:07

administrator   ~0013962

lo johannes,

would be nice if you could fill in at least the version field...

jo-hannes

2006-12-16 18:09

developer   ~0013963

sorry, forgot that :(

avox

2006-12-16 20:56

administrator   ~0013967

could only reproduce with empty textframe, should be fixed now

plinnell

2006-12-17 01:00

viewer   ~0013975

With cursor SE in new doc, new empty frame this is still there:


QComboBox::setCurrentItem: (TxFill) Index 9 out of range
QComboBox::setCurrentItem: (TxStroke) Index 9 out of range
scribus: /home/mrdocs/cvs/13/Scribus/scribus/text/storytext.cpp:837: void StoryText::select(int, uint, bool): Assertion `pos >= 0' failed.

Program received signal SIGABRT, Aborted.
[Switching to Thread -1212623184 (LWP 5717)]
0xffffe410 in __kernel_vsyscall ()
(gdb) bt
#0 0xffffe410 in __kernel_vsyscall ()
0000001 0xb7d9e7d0 in raise () from /lib/libc.so.6
0000002 0xb7d9fea3 in abort () from /lib/libc.so.6
0000003 0xb7d9801b in __assert_fail () from /lib/libc.so.6
0000004 0x0898cb83 in StoryText::select (this=0x9106fac, pos=-1, len=0, on=true) at /home/mrdocs/cvs/13/Scribus/scribus/text/storytext.cpp:837
0000005 0x0882e29f in SEditor::copyStyledText (this=0x9106e88) at /home/mrdocs/cvs/13/Scribus/scribus/story.cpp:426
0000006 0x08840021 in SEditor::keyPressEvent (this=0x9106e88, k=0xbff5b620) at /home/mrdocs/cvs/13/Scribus/scribus/story.cpp:256
0000007 0x412f2ba6 in QWidget::event () from /usr/lib/libqt-mt.so.3
0000008 0x41410ec8 in QTextEdit::event () from /usr/lib/libqt-mt.so.3
0000009 0x4125aec7 in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
0000010 0x4125c222 in QApplication::notify () from /usr/lib/libqt-mt.so.3
0000011 0x411f8e17 in QETWidget::translateKeyEvent () from /usr/lib/libqt-mt.so.3
0000012 0x411f9e70 in QApplication::x11ProcessEvent () from /usr/lib/libqt-mt.so.3
0000013 0x4120a5ea in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
0000014 0x41271ce8 in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
0000015 0x41271b7e in QEventLoop::exec () from /usr/lib/libqt-mt.so.3
0000016 0x4125aa7f in QApplication::exec () from /usr/lib/libqt-mt.so.3
0000017 0x0840572f in mainApp (argc=1, argv=0xbff5bae4) at /home/mrdocs/cvs/13/Scribus/scribus/main_nix.cpp:76
0000018 0x08405796 in main (argc=Cannot access memory at address 0x1655
) at /home/mrdocs/cvs/13/Scribus/scribus/main_nix.cpp:52
(gdb)

avox

2006-12-17 14:19

administrator   ~0013977

mrdocs: I'm pretty sure you tested with an old version.

Issue History

Date Modified Username Field Change
2006-12-16 17:43 jo-hannes New Issue
2006-12-16 17:44 jo-hannes Note Added: 0013961
2006-12-16 18:07 avox Note Added: 0013962
2006-12-16 18:07 avox Status new => feedback
2006-12-16 18:09 jo-hannes Note Added: 0013963
2006-12-16 18:09 jo-hannes Product Version => 1.3.4cvs
2006-12-16 20:52 avox Status feedback => assigned
2006-12-16 20:52 avox Assigned To => avox
2006-12-16 20:56 avox Status assigned => resolved
2006-12-16 20:56 avox Fixed in Version => 1.3.4cvs
2006-12-16 20:56 avox Resolution open => fixed
2006-12-16 20:56 avox Note Added: 0013967
2006-12-17 00:55 plinnell Status resolved => closed
2006-12-17 01:00 plinnell Note Added: 0013975
2006-12-17 01:01 plinnell Status closed => assigned
2006-12-17 01:01 plinnell Resolution fixed => open
2006-12-17 14:19 avox Note Added: 0013977
2006-12-17 23:31 plinnell Status assigned => closed
2006-12-17 23:31 plinnell Resolution open => fixed
2007-05-23 21:16 christoph_s Relationship added child of 0003157
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames